GET /categories

List 'folder-like' Categories

This endpoint allows you to list main 'folder' categories.

The query parameters described below are to be used with the JQL.

Operation ID: getCategories
lock This endpoint requires a Bearer token in the Authorization header.

Query Parameters

Name Type Description
code
query
string

Filter results by given property value.

limit
query
integer

Number of categories per page (defaults to no pagination).

page
query
integer

Page number for pagination (defaults to no page).

expanded
query
string

Comma-separated list of relations to include in the response. Allowed values: characteristics, characteristics.characteristic_catalog, Characteristics, characteristics.characteristicCatalog, categoryMeterings, entity, files, maintenancePolicies, maintenanceProcedures, maintenanceProcedures.categoryMetering, technicalSkills, .

sort
query
string

Sort results by one or more fields. Allowed fields: full_code, name, is_real.

s_full_code
query
string

Filter by full code (exact match).

s_full_code_like
query
string

Filter by full code (partial match).

s_name
query
string

Filter by category name.

s_name_like
query
string

Filter by category name (partial match).

s_type
query
string

Filter by category type.

s_category_id
query
integer

Filter by category id.

s_code
query
string

Filter by category code (exact match).

s_code_like
query
string

Filter by category code (partial match).

s_characteristics-characteristic_id
query
string

Filter by related characteristics id.

s_characteristics-name
query
string

Filter by related characteristics name.

Responses

data array<object>
id string required read-only

ID of the Category

Example: 123

type string required read-only

Model type

category

Example: category

attributes object required
category_id integer read-only

ID of the Category

Example: 123

type string

The Category type. A "TYPE_OF_EQUIPMENT" Category is directly related to equipments (e.g. a fridge) and a Category "SOFT_MAINTENANCE" is related to Locations (E.g. hotel rooms).

SOFT_MAINTENANCE TYPE_OF_EQUIPMENT

Example: SOFT_MAINTENANCE

all_technical_skills boolean | null

Indicates if this category is associated to all technical skills.

Example: 1

code string

Code of the Category.

Example: VENT

entity_id integer

Entity ID of the Category.

Example: 123

full_code string | null read-only

Codes of the category's parents concatenated by dot with category code.

Example: XYZ.VENT

has_children boolean read-only

Whether the category has subitems or not.

Example: 1

is_real boolean | null

Whether the category is a folder (false) or "final" category (true).

Example: 1

name string

Name of the Category.

Example: Ventilation

parent_id integer | null

ID of the category parent.

Example: 123

relationships object

Available relationships of the Category.

categoryMeterings object

Category Meterings associated to the category.

characteristics object

Characteristics associated to the category.

entity object

Entity associated to the category.

files object

Files associated to the category.

maintenanceProcedures object

Maintenance Procedures associated to the category.

maintenancePolicies object

Maintenance Policies associated to the category.

problems object

Problems associated to the category.

technicalSkills object

Technical Skills associated to the category.

status string
error
error object
http_code integer
401
message string

Example: Authentication token invalid.

more_info string
status string
error
error object
http_code integer
403
message string

Example: Action unauthorized

more_info string
status string
error
error object
http_code integer
429
message string

Example: Too Many Requests.

more_info string
status string
error
error object
http_code integer
500
message string

Example: An error has occurred during the request.

more_info string